<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div></div>
        <script>
            function assignEvents(e) {
                var n = parseInt(prompt("Enter a number to calculate the first N numbers of the Fibonacci Sequence:"));
                alert(fibonacci(n));
                function fibonacci(n) {
                    if (n === 1) {
                        return [0, 1];
                    } else {
                        var f = fibonacci(n - 1);
                        f.push(f[f.length - 1] + f[f.length - 2]);
                        return f;
                    }
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
